/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.recommendrecord.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.recommendrecord.entity.BizRecommendRecord;
import vip.xiaonuo.biz.modular.recommendrecord.param.BizRecommendRecordAddParam;
import vip.xiaonuo.biz.modular.recommendrecord.param.BizRecommendRecordEditParam;
import vip.xiaonuo.biz.modular.recommendrecord.param.BizRecommendRecordIdParam;
import vip.xiaonuo.biz.modular.recommendrecord.param.BizRecommendRecordPageParam;

import java.util.List;

/**
 * 推荐记录表Service接口
 *
 * @author wulei
 * @date 2025/02/06 17:42
 **/
public interface BizRecommendRecordService extends IService<BizRecommendRecord> {

    /**
     * 获取推荐记录表分页
     *
     * @author wulei
     * @date 2025/02/06 17:42
     */
    Page<BizRecommendRecord> page(BizRecommendRecordPageParam bizRecommendRecordPageParam);

    /**
     * 获取用户推荐记录表分页
     *
     * @author wulei
     * @date 2025/02/06 17:42
     */
    Page<BizRecommendRecord> userPage(BizRecommendRecordPageParam bizRecommendRecordPageParam);

    /**
     * 获取推荐记录表详情
     *
     * @author wulei
     * @date 2025/02/06 17:42
     */
    BizRecommendRecord detail(BizRecommendRecordIdParam bizRecommendRecordIdParam);

    /**
     * 获取推荐记录表详情
     *
     * @author wulei
     * @date 2025/02/06 17:42
     **/
    BizRecommendRecord queryEntity(String id);
}
